This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 991376 - RFE: convert wesnoth.spec file to use scons
RFE: convert wesnoth.spec file to use scons
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wesnoth (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 05:28 EDT by Steve Tyler
Modified: 2013-08-12 14:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-12 14:32:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scons build log for wesnoth-1.10.6 (167.63 KB, text/plain)
2013-08-02 08:45 EDT, Steve Tyler
no flags Details

  None (edit)
Description Steve Tyler 2013-08-02 05:28:22 EDT
Description of problem:
The wesnoth build can be done with scons.

See Bug 905379, Comment 34 from Will Woods.
wesnoth.spec: Attachment 781670 [details]

Version-Release number of selected component (if applicable):
wesnoth-1.10.6 upstream
Attachment 781670 [details]

How reproducible:


Steps to Reproduce:
1. Build with scons per Attachment 781670 [details].

Actual results:


Expected results:


Additional info:
Comment 1 Steve Tyler 2013-08-02 05:51:00 EDT
The INSTALL file from wesnoth-1.10.6.tar has this section:
3. SCons Build
Comment 2 Steve Tyler 2013-08-02 08:45:02 EDT
Created attachment 781959 [details]
scons build log for wesnoth-1.10.6

wesnoth-1.10.6 builds fine with scons. With the appropriate mandir option, the man pages are installed correctly.

$ sudo scons install mandir=/usr/share/man

$ less -N scons-install-3.txt
      1 scons: Reading SConscript files ...
      2 Saved options: default_targets = 'wesnoth,wesnothd', bindir = '/bin', mandir = '/usr/share/man'
      3 Building Wesnoth version 1.10.6
...

$ cat scons-install-3.txt | grep 'Install file: "doc/man/' | wc -l
53

Tested with F19 in a VM:
$ qemu-kvm -m 4096 -hda f19-test-3.img -cdrom ~/xfr/fedora/F19/Fedora-19-x86_64-DVD.iso -vga std -boot menu=on
Comment 3 Steve Tyler 2013-08-02 18:04:42 EDT
I completed an rpmbuild using Will's spec file, and it appears to have worked great. The log is ~500k, so I won't attach it.
Comment 4 Steve Tyler 2013-08-03 13:56:51 EDT
The wesnoth.spec file may need to incorporate these changes:
Bug 850365 - Introduce new systemd-rpm macros in wesnoth spec file

Packaging:ScriptletSnippets
Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

Bug 850016 - (systemd/Presets) Tracker bug for conversion to new systemd-rpm macros
Comment 5 Gwyn Ciesla 2013-08-12 14:34:03 EDT
Thanks for your work on this.  I restored the font unbundling bits.

Note You need to log in before you can comment on or make changes to this bug.